Index: ild_tools/get_version.py
===================================================================
--- build_tools/get_version.py	(revision 3a39c2e89f90377b2d15fa13b9ba9cf3b4144070)
+++ 	(revision )
@@ -1,35 +1,0 @@
-import os
-__revision__ = "0"
-__version__ = "0.0.0"
-    
-import subprocess
-
-def get_svn_revision():
-    p = subprocess.Popen("svnversion", shell=True, \
-       stdout=subprocess.PIPE, stderr=subprocess.PIPE)
-    (stdout, stderr) = p.communicate()
-    try:
-        rev = int(stdout.strip())
-        return str(rev)
-    except:
-        return __revision__
-
-# Get the version number from the sasview module
-# Check to see if we are dealing with a release
-try:
-    import sas.sasview
-    __version__ = sas.sasview.__version__
-    __revision__ = sas.sasview.__build__
-except:
-    print "Could not load sasview module"
-
-# Get actual revision number if possible
-try:
-    rev = get_svn_revision()
-    if rev is not None:
-        __revision__ = rev
-except:
-    print "Could not extract revision number"
-
-
-print "SasView v", __version__, __revision__
Index: build_tools/jenkins_linux_build.sh
===================================================================
--- build_tools/jenkins_linux_build.sh	(revision b44da61a239ee4a55c1d720f76337b03cd633e85)
+++ build_tools/jenkins_linux_build.sh	(revision 4ddf30e432448a689a59ea707acea3075d92433b)
@@ -24,5 +24,5 @@
 
 cd $WORKSPACE/dist
-ln -s sasview*.egg sasview.egg || true
-$EASY_INSTALL -N -d ../sasview-install sasview.egg
+# ln -s sasview*.egg sasview.egg || true
+$EASY_INSTALL -N -d ../sasview-install sasview*.egg
 
Index: ild_tools/rpm/create_rpm_spec.py
===================================================================
--- build_tools/rpm/create_rpm_spec.py	(revision 3a39c2e89f90377b2d15fa13b9ba9cf3b4144070)
+++ 	(revision )
@@ -1,45 +1,0 @@
-import sys
-sys.path.append("..")
-import get_version
-
-revision = get_version.__revision__
-
-# If the revision we got from get_version is None, it's because it's
-# release. Otherwise, use the input revision if provided
-if len(sys.argv)>1 and revision is not None:
-    try:
-        revision = int(sys.argv[1].strip())
-    except:
-        print "Could not process bad revision number: %s" % str(sys.argv)
-
-def replaceToken(line, key, value): #pylint: disable-msg=R0201
-    """ Replace a token in the template file 
-        @param line: line of text to inspect
-        @param key: token to look for
-        @param value: string value to replace the token with
-        @return: new string value
-    """
-    lenkey = len(key)
-    newline = line
-   
-    while newline.count(key)>0:
-        index = newline.index(key)
-        newline = newline[:index]+value+newline[index+lenkey:]
-    
-    return newline
-
-input=open("sasview.spec.template",'r')
-output=open("sasview.spec",'w')
-
-buf = input.read()
-lines = buf.split('\n')
-for l in lines:
-    new_line = replaceToken(l, "[VERSION]", get_version.__version__)
-    new_line = replaceToken(new_line, "[REVISION]", str(revision))
-    output.write(new_line+'\n')
-    
-input.close()
-output.close()
-    
-
-
Index: ild_tools/rpm/sasview.spec.template
===================================================================
--- build_tools/rpm/sasview.spec.template	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ 	(revision )
@@ -1,37 +1,0 @@
-Name:       sasview          
-Version:        [VERSION]
-Release:        r[REVISION]%{?dist}
-Summary:        Data analysis for Small Angle Scattering
-
-License:        BSD
-URL:            http://danse.chem.utk.edu
-Source0:        sasview-[VERSION]_[REVISION]-py2.6-linux-x86_64.egg
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-
-%description
-SasView data analysis
-
-%prep
-
-%build
-
-
-%install
-mkdir -p $RPM_BUILD_ROOT/opt/sasview
-mkdir -p $RPM_BUILD_ROOT/usr/local/bin
-export PYTHONPATH=$RPM_BUILD_ROOT/opt/sasview
-easy_install -N -d $RPM_BUILD_ROOT/opt/sasview ../SOURCES/sasview*.egg
-cd $RPM_BUILD_ROOT/usr/local/bin
-ln -sf /opt/sasview/sasview sasview
-
-%clean
-rm -rf $RPM_BUILD_ROOT
-
-
-%files
-%defattr(-,root,root,-)
-/opt/sasview
-/usr/local/bin/sasview
-
-
-%changelog
Index: sasview/__init__.py
===================================================================
--- sasview/__init__.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ sasview/__init__.py	(revision d85973795b991750c70dcd083e11f39a88ed81d5)
@@ -6,15 +6,5 @@
     __build__ = str(d.version)
 except:
-    try:
-        import os
-        dir = os.path.dirname(__file__)
-        filepath = os.path.join(dir, "BUILD_NUMBER")
-        if os.path.isfile(filepath):
-            f=open(filepath, 'r')
-            buff = f.read().strip()
-            if len(buff)<50:
-                __build__ = buff
-    except:
-        import logging
-        import sys
-        logging.warning("Error while determining build number\n  %s" % sys.exc_value)
+    import logging
+    import sys
+    logging.warning("Error while determining build number\n  %s" % sys.exc_value)
Index: src/sas/perspectives/fitting/fitting.py
===================================================================
--- src/sas/perspectives/fitting/fitting.py	(revision 386ffe12ba023b3eab0fbbb16a6f958ed7c099a3)
+++ src/sas/perspectives/fitting/fitting.py	(revision 39356b55b8440f4ad106471726ea9696e061cbf4)
@@ -523,13 +523,4 @@
         self.fit_panel.clear_panel()
         
-    def set_default_perspective(self):
-        """
-        Call back method that True to notify the parent that the current plug-in
-        can be set as default perspective.
-        when returning False, the plug-in is not candidate for an automatic
-        default perspective setting
-        """
-        return True
-    
     def delete_data(self, data):
         """
